Skip to main content
`Ctrl`+`K`

# PCGAMGSetRepartition

Repartition the degrees of freedom across the processors on the coarser grids when reducing the number of MPI ranks to use

## Synopsis

    #include "petscpc.h"
    #include "petscksp.h"
    PetscErrorCode PCGAMGSetRepartition(PC pc, PetscBool n)

Collective

## Input Parameters

- pc - the preconditioner context

- n - `PETSC_TRUE` or `PETSC_FALSE`

## Options Database Key

- -pc_gamg_repartition (true|false) - turn on the repartitioning

## Note

This will generally improve the loading balancing of the work on each level so the solves will be faster but it adds to the preconditioner setup time.

## See Also

the Users Manual section on PCGAMG, the Users Manual section on PCMG, KSP: Linear System Solvers, `PCGAMG`, `PCGAMGSetProcEqLim()`, `PCGAMGSetRankReductionFactors()`

## Level

intermediate

## Location

src/ksp/pc/impls/gamg/gamg.c

## Implementations

PCGAMGSetRepartition_GAMG() in src/ksp/pc/impls/gamg/gamg.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages